Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 148947 - Code Templates: add template 'systrace'
Code Templates: add template 'systrace'
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Completion & Templates
6.x
All All
: P3 with 3 votes (vote)
: 8.1
Assigned To: Dusan Balek
issues@editor
:
Depends on: 160042 210454
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 11:59 UTC by desmond_kirrane
Modified: 2015-03-28 08:20 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch (1.03 KB, patch)
2015-03-26 22:56 UTC, markiewb
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description desmond_kirrane 2008-10-02 11:59:07 UTC
In Eclipse there is a code template systrace:
System.out.println("${enclosing_type}.${enclosing_method}()");

It adds to the System.out the name of the class and method you are working in.

In the NetBeans Editor a similar code template is not available and it doesn't seem possible to create one?
I can't find a parameter to get the Class name or Method name.

Any enhancement to the code template editor or adding in a systrace type template would be a nice enhacement.
Comment 1 Vitezslav Stejskal 2008-10-02 13:07:06 UTC
What abbreviation is it linked to in Eclipse? I mean what do you type in the Eclipse editor to make it expand the
template? Thanks
Comment 2 Vitezslav Stejskal 2008-10-03 11:19:23 UTC
From the reporter in a private email: "In any method in the Editor type systrace and then hit Ctrl+Space"
Comment 3 markiewb 2013-06-20 12:52:00 UTC
${enclosing_type} -> https://netbeans.org/bugzilla/show_bug.cgi?id=210454
${enclosing_method} -> https://netbeans.org/bugzilla/show_bug.cgi?id=160042
Comment 4 Dusan Balek 2013-06-20 15:57:28 UTC
Unfortunately NB 7.4 is already feature frozen. Marking as an enhancement for
the next release.
Comment 5 markiewb 2013-11-28 21:38:07 UTC
@Dusan: There are patches for both of the "depends on" issues available. 
If they are integrated this issue can be fixed by providing a new code template.
Comment 6 markiewb 2015-03-26 22:56:54 UTC
Created attachment 152871 [details]
Proposed patch

@Dusan: Please review that patch and apply it. *g* Thank you
Comment 7 Dusan Balek 2015-03-27 09:41:15 UTC
Patch integrated. Thanks.

http://hg.netbeans.org/jet-main/rev/ea17034016bc
Comment 8 Quality Engineering 2015-03-28 08:20:23 UTC
Integrated into 'main-silver', will be available in build *201503280001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/ea17034016bc
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #148947: Code Templates: add template 'systrace' - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo